<?php
  include("conn.php");
  
  if (!isset($_POST['xAtajo'])) {
    $jsondata['success'] = false;
    $jsondata['message'] = 'Información de entrada mal definida.';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die();
  }
 
  $xAtajo    = $_POST['xAtajo'];
  $xNombre   = $_POST['xNombre'];
  $xPublico  = $_POST['xPublico'];
  $xUsuarios = $_POST['xUsuarios'];

  $DBSegu->startTrans();

  $sql = 'update ATJ_ATAJOS
          set DESC_ATAJO = ?,
              PUBLICO = ?
          where ID_ATAJO = ? ';
  $RsIns = $DBSegu->Execute($sql, array($xNombre, $xPublico, $xAtajo));
  if ($DBSegu->hasFailedTrans()) {
    $DBSegu->completeTrans();
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error al modificar el atajo. Ref. #V01.01';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die();  
  }

  $sql = 'delete ATJ_ATAJOS_USUARIOS
          where ID_ATAJO = ? ';
  $RsIns = $DBSegu->Execute($sql, array($xAtajo));
  if ($DBSegu->hasFailedTrans()) {
    $DBSegu->completeTrans();
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error al modificar el atajo. Ref. #V01.02';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die();  
  }

  if ($xUsuarios != '') {
    $vUsuarios = explode(',' , $xUsuarios);
    foreach ($vUsuarios as $value) {
      $sql = 'INSERT ATJ_ATAJOS_USUARIOS (ID_ATAJO, ID_USUARIO)
              VALUES (?, ?)';
      $RsIns = $DBSegu->Execute($sql, array($xAtajo, $value));
      if ($DBSegu->hasFailedTrans()) {
        $DBSegu->completeTrans();
        $jsondata['success'] = false;
        $jsondata['message'] = 'Ha ocurrido un error al modificar el atajo. Ref. #V01.03';
        header('Content-type: application/json; charset=utf-8');
        echo json_encode($jsondata);
        die();  
      }
    }
  }

  $DBSegu->completeTrans();

  $jsondata['success'] = true;
  $jsondata['message'] = 'Atajo modificado.';
  header('Content-type: application/json; charset=utf-8');
  echo json_encode($jsondata);
?>